From 97840f24748128c67b8d12e7395ed866b561695c Mon Sep 17 00:00:00 2001
From: Lukas Durfina <lukas.durfina@gmail.com>
Date: Mon, 14 Jul 2008 09:36:48 +0200
Subject: [PATCH] qt4: Fix FS controller to have it at least in embedded video mode

---
 modules/gui/qt4/main_interface.cpp |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/modules/gui/qt4/main_interface.cpp b/modules/gui/qt4/main_interface.cpp
index 278da48..2154cb7 100644
--- a/modules/gui/qt4/main_interface.cpp
+++ b/modules/gui/qt4/main_interface.cpp
@@ -682,6 +682,11 @@ void *MainInterface::requestVideo( vout_thread_t *p_nvout, int *pi_x,
 
 //        emit askVideoToResize( *pi_width, *pi_height );
         emit askUpdate();
+
+        /* initialize FS controller, with that works only for embedded mode
+           because in nonembedded requestVideo() is not called
+        */
+        fullscreenControls->regFullscreenCallback( p_nvout );
     }
     return ret;
 }
-- 
1.5.5.1

